Bug 1817103 - Crash after pressing compose key in Tilix
Summary: Crash after pressing compose key in Tilix
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-25 15:08 UTC by Ivan Molodetskikh
Modified: 2020-04-03 19:09 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
thread apply all bt full (639.89 KB, text/plain)
2020-03-25 15:08 UTC, Ivan Molodetskikh
no flags Details

Description Ivan Molodetskikh 2020-03-25 15:08:19 UTC
Created attachment 1673547 [details]
thread apply all bt full

Description of problem:
I used the compose key in Tilix but didn't type anything and I think switched to another window, and somehow this time gnome-shell crashed completely. ABRT didn't catch it so reporting manually.

Version-Release number of selected component (if applicable):
gnome-shell-3.36.0-3.fc32.x86_64

How reproducible:
Happened once.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Program terminated with signal SIGSEGV, Segmentation fault.
#0  g_utf8_offset_to_pointer (str=str@entry=0x0, offset=0, offset@entry=1) at ../glib/gutf8.c:358
358	      s = g_utf8_next_char (s);

Comment 1 Matthew Miller 2020-03-26 18:43:35 UTC
I am seeing the same thing but I am not using Tilix. It seems to happen to me regardless of application. (Or at least, specifically, Firefox and Gnome Terminal. I haven't tried more just yet because I actually have other stuff I need to get done today and can't keep crashing my computer.)

Comment 2 Matthew Miller 2020-03-26 18:45:28 UTC
Oh also: this did not happen a week or so ago. Something in some update since the beta.

Comment 3 Matthew Miller 2020-03-26 20:30:52 UTC
Which key do you have set as Compose?

Comment 4 Stephen Gallagher 2020-03-26 20:40:27 UTC
So, I just did some experimentation: this issue occurs whenever you use the Compose key to print a character in a native Wayland application. X11 applications using XWayland are not affected (including čhrome which I am using to type thiß).

Comment 5 Ivan Molodetskikh 2020-03-27 05:32:44 UTC
> Which key do you have set as Compose?

Right Alt.

Comment 6 Jonas Ådahl 2020-03-27 10:11:45 UTC
Probably the same as https://bugzilla.redhat.com/show_bug.cgi?id=1816588.

Comment 7 jtagcat 2020-03-27 15:26:36 UTC
Using Caps as compose key, seems to happen only in terminal emulators. Add gnome-terminal to the list.

Happens after you type the 2nd key (when the transformation is happening). I also noticed that in other apps the transformation in electron apps is a bit laggy the first few times on f32.

Comment 8 Matthew Miller 2020-04-03 18:03:34 UTC
(In reply to jtagcat from comment #7)
> Using Caps as compose key, seems to happen only in terminal emulators. Add
> gnome-terminal to the list.

It's not just terminal emulators, it's any native wayland apps. But in any case this appears fixed by latest updates.

Comment 9 jtagcat 2020-04-03 19:09:27 UTC
It indeed has. The bug may be closed.


Note You need to log in before you can comment on or make changes to this bug.